/** @typedef {typeof __propDef.props}  MetaTagsProps */
/** @typedef {typeof __propDef.events}  MetaTagsEvents */
/** @typedef {typeof __propDef.slots}  MetaTagsSlots */
export default class MetaTags extends SvelteComponentTyped<{
    title?: string;
    titleTemplate?: string;
    noindex?: boolean;
    nofollow?: boolean;
    robotsProps?: import("./types").AdditionalRobotsProps;
    description?: string;
    mobileAlternate?: import("./types").MobileAlternate;
    languageAlternates?: readonly import("./types").LanguageAlternate[];
    twitter?: import("./types").Twitter;
    facebook?: import("./types").Facebook;
    openGraph?: import("./types").OpenGraph;
    canonical?: string;
    additionalMetaTags?: readonly import("./types").MetaTag[];
    additionalLinkTags?: readonly import("./types").LinkTag[];
}, {
    [evt: string]: CustomEvent<any>;
}, {}> {
}
export type MetaTagsProps = typeof __propDef.props;
export type MetaTagsEvents = typeof __propDef.events;
export type MetaTagsSlots = typeof __propDef.slots;
import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        title?: import("./types").MetaTagsProps['title'];
        titleTemplate?: import("./types").MetaTagsProps['titleTemplate'];
        noindex?: import("./types").MetaTagsProps['noindex'];
        nofollow?: import("./types").MetaTagsProps['nofollow'];
        robotsProps?: import("./types").MetaTagsProps['robotsProps'];
        description?: import("./types").MetaTagsProps['description'];
        mobileAlternate?: import("./types").MetaTagsProps['mobileAlternate'];
        languageAlternates?: import("./types").MetaTagsProps['languageAlternates'];
        twitter?: import("./types").MetaTagsProps['twitter'];
        facebook?: import("./types").MetaTagsProps['facebook'];
        openGraph?: import("./types").MetaTagsProps['openGraph'];
        canonical?: import("./types").MetaTagsProps['canonical'];
        additionalMetaTags?: import("./types").MetaTagsProps['additionalMetaTags'];
        additionalLinkTags?: import("./types").MetaTagsProps['additionalLinkTags'];
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export {};
